3 Replies Latest reply on Jul 26, 2010 9:37 AM by Zsolt Tomai

    Problem installing jbossws-native-3.1.1.GA onto jboss-4.2.3.

    John Sweet-Escott Newbie

      Hi

      I have a problem with my installation of jbossws 3.1.1 over the top of jboss 4.2.3.GA. I get this error:

      2009-08-19 14:53:36,920 ERROR [org.jboss.deployment.MainDeployer] Could not start deployment: file:/app/jboss-4.2.3.GA/server/fred/tmp/deploy/tmp32687FRED.ear-contents/FRED.war
      java.lang.IllegalStateException: Failed to load org.jboss.wsf.spi.invocation.WebServiceContextFactory: org.jboss.wsf.container.jboss42.WebServiceContextFactoryImpl
       at org.jboss.wsf.spi.util.ServiceLoader.loadFromServices(ServiceLoader.java:97)
      ...
      lots of lines
      ...
       at java.lang.Thread.run(Unknown Source)
      Caused by: java.lang.NoClassDefFoundError: org/jboss/wsf/spi/invocation/WebServiceContextEJB
       at java.lang.Class.getDeclaredConstructors0(Native Method)
       at java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
       at java.lang.Class.getConstructor0(Unknown Source)
       at java.lang.Class.newInstance0(Unknown Source)
       at java.lang.Class.newInstance(Unknown Source)
       at org.jboss.wsf.spi.util.ServiceLoader.loadFromServices(ServiceLoader.java:92)
      


      Looking at the jbossws-native-3.1.1.GA binary distribution it appears that there is no class org.jboss.wsf.spi.invocation.WebServiceContextEJB. It is not contained within jbossws-spi.jar.... although jbossws-native-core.jar does contain org.jboss.wsf.stack.jbws.WebServiceContextEJB

      I can see this class in the jbossws-spi.jar for a jboss 4.2.3 that has not been "upgraded" with jbossws-native-3.1.1

      The classes in FRED.war were built using the ws*.bat scripts/code that shipped with the jbossws shipped with Jboss 4.2.3.GA. Not sure if this is relevant.

      Any advice gratefully received.